=== config/CMakeLists.txt ===
# declare project
PROJECT(config)

# recurse into subdirectories
ADD_SUBDIRECTORY(docs)
