=== debian/changelog ===
dcmtk (3.6.2-3build3) bionic; urgency=high

  * No change rebuild against openssl1.1.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 05 Feb 2018 16:49:00 +0000

dcmtk (3.6.2-3build2) bionic; urgency=medium

  * No-change rebuild for icu soname change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 07 Nov 2017 13:55:23 +0000

dcmtk (3.6.2-3build1) bionic; urgency=medium

  * No-change rebuild for icu soname change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 07 Nov 2017 08:30:23 +0000

dcmtk (3.6.2-3) unstable; urgency=medium

  * d/control: Remove Juergen Salk from uploaders, Closes: #846787
  * d/p/08: set CANONICAL_HOST_TYPE from cmake, Closes: #859203
  * d/p/09: Fix format errors, Closes: #865418
  * d/p/10:Add fix for possible string overflow

 -- Gert Wollny <gewo@debian.org>  Wed, 06 Sep 2017 10:09:08 +0000

dcmtk (3.6.2-2) unstable; urgency=medium

  * d/rules: install examples in arch-indep build to fix -A build

 -- Gert Wollny <gewo@debian.org>  Tue, 22 Aug 2017 12:46:09 +0000

dcmtk (3.6.2-1) unstable; urgency=medium

  * Upload to unstable
  * d/control: Standards version 4.1.0 (no changes needed)

 -- Gert Wollny <gewo@debian.org>  Tue, 22 Aug 2017 10:05:31 +0000

dcmtk (3.6.2-1~exp1) experimental; urgency=medium

  * Update d/watch
  * New upstream version 3.6.2 Closes: #868867
  * d/p/* refresh patches
  * drop d/p/09_ because it was applied upstream   
  * s/* update SO version
  * d/copyright: add new files to copyright
  * d/rules: drop more test programs and add manpage for msgserv
  * d/rules enable use of C++11 features
  * d/control: Add build dependency on help2man

 -- Gert Wollny <gewo@debian.org>  Wed, 02 Aug 2017 13:48:47 +0000

dcmtk (3.6.1~20170228-2) unstable; urgency=medium

  * d/p/09: Improve numerical stability by rounding the time to 
    the six decimal digits supported by dicom. Closes: #859204
    #865452
  * d/control: Correct dependency on libssl-dev for libdcmtk-dev
  * d/control: Update standards version (no action needed) 
  * d/control: cme fix dpkg-control 

 -- Gert Wollny <gewo@debian.org>  Thu, 22 Jun 2017 07:55:04 +0000

dcmtk (3.6.1~20170228-1) unstable; urgency=medium

  * Upload to unstable Closes: #747167
  * d/rules: correctly enabling private tags, Closes: #859201
  * d/rules: enable C++11 build

 -- Gert Wollny <gewo@debian.org>  Tue, 20 Jun 2017 18:58:39 +0000

dcmtk (3.6.1~20170228-1~exp1) experimental; urgency=medium

  [ Gert Wollny ]
  * Set dependency to libssl-dev, Closes: #851083
  * Update patches to new upstream
  * d/p/02: correct calls to JpegLsEncode because system CharLS
    interface of the bundled version differs from Debian version
  * New upstream version 3.6.1~20170228
  * Change to libdcmtk11 because of soname change
  * Remove d/p/09 patch
  * d/* Update package names and build rules to new SO-version
  * d/copyright: mention Frank Vanden Berghen and his AFPL license
      Thanks for spotting this: Thorsten Alteholz
  * d/control: update self e-mail address in uploaders
  * d/copyright: Add copyright information for new files

  [ Mathieu Malaterre ]
  * d/control: Remove self from Uploaders

 -- Gert Wollny <gewo@debian.org>  Mon, 20 Feb 2017 13:15:40 +0100
