=== debian/watch ===
version=3
opts="uversionmangle=s/_/~/" \
http://dicom.offis.de/dicom/offis/software/dcmtk/dcmtk362/dcmtk-(.*)\.tar\.gz
